Bug 52756 - Traceback in Repository module with customized configured component
Traceback in Repository module with customized configured component
Status: VERIFIED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Repository settings
UCS 5.0
Other Linux
: P5 normal (vote)
: UCS 5.0
Assigned To: Dirk Wiesenthal
Philipp Hahn
:
Depends on: 51316
Blocks:
  Show dependency treegraph
 
Reported: 2021-02-08 11:23 CET by Dirk Wiesenthal
Modified: 2021-04-30 10:41 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted (downgraded) after PO Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2021-02-08 11:23:42 CET
Configured a broken component.

Interner Server-Fehler in "appcenter/components/query".
Request: appcenter/components/query

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/univention/management/console/base.py", line 359, in __error_handling
    six.reraise(etype, exc, etraceback)
  File "/usr/lib/python3/dist-packages/six.py", line 693, in reraise
    raise value
  File "/usr/lib/python3/dist-packages/univention/management/console/base.py", line 262, in execute
    function.__func__(self, request, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/univention/management/console/modules/decorators.py", line 321, in _response
    result = _multi_response(self, request)
  File "/usr/lib/python3/dist-packages/univention/management/console/modules/decorators.py", line 181, in _response
    return function(self, request)
  File "/usr/lib/python3/dist-packages/univention/management/console/modules/decorators.py", line 443, in _response
    return list(function(self, iterator, *nones))
  File "/usr/lib/python3/dist-packages/univention/management/console/modules/decorators.py", line 289, in _fake_func
    yield function(self, *args)
  File "/usr/lib/python3/dist-packages/univention/management/console/modules/appcenter/__init__.py", line 1222, in components_query
    for comp in self.get_updater().get_components(all=True)
  File "/usr/lib/python3/dist-packages/univention/management/console/modules/appcenter/__init__.py", line 1222, in <listcomp>
    for comp in self.get_updater().get_components(all=True)
  File "/usr/lib/python3/dist-packages/univention/management/console/modules/appcenter/util.py", line 328, in component
    'defaultpackages': list(comp.defaultpackages),
AttributeError: 'Component' object has no attribute 'defaultpackages'
Comment 1 Dirk Wiesenthal univentionstaff 2021-02-08 12:31:13 CET
repository/online/component/xx/description='!!'
repository/online/component/xx/unmaintained='disabled'
repository/online/component/xx='enabled'
Comment 3 Ingo Steuwer univentionstaff 2021-04-28 10:29:50 CEST
probably already fixed
Comment 4 Dirk Wiesenthal univentionstaff 2021-04-30 00:58:00 CEST
Fixed a while ago.

commit 197d4eade129f8701ea119c0cc76084cebf438c4
Author: Dirk Wiesenthal <wiesenthal@univention.de>
Date:   Fri Feb 26 11:19:25 2021 +0100

Please do a quick double check:

-                       'defaultpackages': list(comp.defaultpackages),
+                       'defaultpackages': list(comp.default_packages),
Comment 5 Philipp Hahn univentionstaff 2021-04-30 10:41:38 CEST
(In reply to Dirk Wiesenthal from comment #4)
> Fixed a while ago.
> 
> commit 197d4eade129f8701ea119c0cc76084cebf438c4

Introduced by me with git:e6924d5978c2f5028df22e99c8c5e4ba845c2044 for Bug #51316
 
> +                       'defaultpackages': list(comp.default_packages),

OK: The property is called `default_packages`.
OK: No changelog reqquired as this is a fix for Bug #51316